<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
$title = '后台登陆';
$loginGGdata = insou(file_get_contents('./data/logingg.html'));
require './mo_head.php';
?>
<style>
    fieldset {padding:0;border:0;margin-top:25px;}
    label {display:block;}
    input.text {margin-bottom:12px;width:95%;padding:.4em;}
    #autoLogin {float:left;margin-right:5px;margin-top:3px;}
    #yzm {display:none;}
    input.yzmIn {width:35%;padding:.4em;}
</style>
<script>
    $(function () {
        $("#dialog-form").dialog({
            autoOpen: true,
            width: 350,
            show: "bounce",
            hide: "bounce",
            buttons: {
                "登 陆": function () {
                    if (getCoo('number') >= 5) {
                        dialog("您已经输入错误5次，此账号将冻结24小时！");
                        return false;
                    }
                    if (checkInput('#name', /^([0-9a-zA-Z@._]){3,20}$/) && checkInput('#pwd', /^(\S){6,40}$/) && checkInput('#yzmIn', $("#yzmVal").val())) {
                        loading();
                        $.ajax({
                            type: "POST",
                            url: "login.php",
                            data: {
                                menu: 'login',
                                name: $("#name").val(),
                                pwd: $("#pwd").val(),
                                autoLogin: $("#autoLogin").is(":checked") ? 1 : 0
                            },
                            success: function (msg) {
                                loaded();
                                if (msg == "1") {
                                    location = "./";
                                } else if (msg == "2") {
                                    dialog("帐号或密码错误！");
                                    checkCoo('number', 1, 1);
                                    randomPic();
                                    $("#yzm").show();
                                } else if (msg == "5") {
                                    setCoo('number', 5, 1);
                                    dialog("您已经输入错误5次，此账号将冻结24小时！");
                                } else {
                                    dialog(msg);
                                }
                            }
                        });
                    }
                },
                "取 消": function () {
                    $(this).dialog("close");
                }
            },
            close: function () {
                window.open('', '_self', '');
                window.close();
            }
        });
        $("#kbq").click(function () {
            randomPic();
        });
        function randomPic() {
            var num = "";
            for (var i = 0; i < 4; i++) {
                var tmp = Math.ceil(15 * Math.random());
                if (tmp > 9) {
                    switch (tmp) {
                        case 10:
                            num += "a";
                            break;
                        case 11:
                            num += "b";
                            break;
                        case 12:
                            num += "c";
                            break;
                        case 13:
                            num += "d";
                            break;
                        case 14:
                            num += "e";
                            break;
                        case 15:
                            num += "f";
                    }
                } else {
                    num += tmp;
                }
            }
            $("#yzmPic").attr("src", "yzmpic.php?num=" + num);
            $("#yzmVal").val(num);
        }
    });
</script>
<div id="dialog-form" title="欢迎使用&nbsp;&nbsp;牛叉广告管理系统(NiuXams)">
    <p class="mtb">后台登陆: 建议使用较新的浏览器.</p>
    <form>
        <fieldset>
            <label for="name">账 号：</label>
            <input id="name" placeholder="登录账号：3~20位！没有特殊字符" class="text ui-widget-content ui-corner-all">
            <label for="pwd">密 码：</label>
            <input id="pwd" type="password" placeholder="登录密码：6~40位！" class="text ui-widget-content ui-corner-all">
            <label for="autoLogin"><input id="autoLogin" type="checkbox">十天内免登录</label>
            <div id="yzm">
                <label for="yzmIn">验证码:</label>
                <img id="yzmPic" width="100px" height="30px" align="absmiddle">
                <input id="yzmIn" class="yzmIn ui-widget-content ui-corner-all" title="输入左边的验证码！">
                <span id="kbq" title="看不清左边的字符？换一张！" style="cursor:pointer;">看不清？</span>
                <input id="yzmVal" type="hidden">
            </div>
        </fieldset>
    </form>
</div>
</div>
<div class="tc">
<?php
echo cifr() ? '' : $loginGGdata;
require './mo_foot.php';
    